%global momorel 1
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global md5sum_src0 ae34fc0c0e8f3b92728c4c6a36cc7697

%global backends aqhbci aqdtaus aqofxconnect
%global frontends cbanking qbanking kbanking g2banking

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: A library for online banking functions and financial data import/export
Name: aqbanking
Version: 2.3.2
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.aquamaniac.de/aqbanking/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gwenhywfar
# qbanking
BuildRequires: qt-devel
# g2banking
BuildRequires: gtk2-devel 
BuildRequires: libglade2-devel
# kbanking
BuildRequires: kdelibs-devel
# python
BuildRequires: PyXML
BuildRequires: python
BuildRequires: gettext
BuildRequires: gwenhywfar-devel >= 2.1.0
BuildRequires: libofx-devel >= 0.7.0
BuildRequires: libtool

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Development headers for Aqbanking
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel
Requires: pkgconfig
# for %%{_datadir}/aclocal
Requires: automake

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%package -n g2banking
Summary: GTK bindings for Aqbanking
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n g2banking
This package contains the g2banking GTK bindings for the Aqbanking
online banking library.

%package -n g2banking-devel
Summary: Development headers for g2banking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: g2banking = %{version}-%{release}
Requires: pkgconfig

%description -n g2banking-devel
This package contains g2banking-config and header files for writing and
compiling programs using the g2banking bindings for Aqbanking.

%package -n kbanking
Summary: KDE bindings for Aqbanking
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n kbanking
This package contains the kbanking KDE bindings for the Aqbanking
online banking library.

%package -n kbanking-devel
Summary: Development headers for kbanking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: kbanking = %{version}-%{release}
Requires: pkgconfig

%description -n kbanking-devel
This package contains kbanking-config and header files for writing and
compiling programs using the kbanking bindings for Aqbanking.

%package -n qbanking
Summary: Qt bindings for Aqbanking
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n qbanking
This package contains the qbanking KDE bindings for the Aqbanking
online banking library.

%package -n qbanking-devel
Summary: Development headers for qbanking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: qbanking = %{version}-%{release}
Requires: pkgconfig

%description -n qbanking-devel
This package contains qbanking-config and header files for writing and
compiling programs using the qbanking bindings for Aqbanking.

%package -n python-%{name}
Summary: Python bindings for Aqbanking
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
This package contains python bindings for Aqbanking.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%configure \
	--with-backends="%{backends}" \
	--with-frontends="%{frontends}" \
	--with-kde3-libs=%{_libdir} \
	--enable-libofx \
	--enable-python

make LIBTOOL=/usr/bin/libtool

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} LIBTOOL=%{_bindir}/libtool

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

pushd tutorials
make clean
rm -rf .deps
popd

# for doc
mkdir -p install-doc
mv -f %{buildroot}%{_docdir}/{aqbanking,aqhbci} install-doc/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post -n g2banking
/sbin/ldconfig

%postun -n g2banking
/sbin/ldconfig

%post -n kbanking
/sbin/ldconfig

%postun -n kbanking
/sbin/ldconfig

%post -n qbanking
/sbin/ldconfig

%postun -n qbanking
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc install-doc/aqbanking/aqbanking-tool
%doc install-doc/aqhbci/aqhbci-tool
%{_bindir}/*-tool
%{_libdir}/aqbanking
%exclude %{_libdir}/aqbanking/plugins/*/debugger
%exclude %{_libdir}/aqbanking/plugins/*/frontends/qbanking
%exclude %{_libdir}/aqbanking/plugins/*/wizards
%{_libdir}/gwenhywfar/plugins/*/crypttoken/*
%{_libdir}/gwenhywfar/plugins/*/dbio/*
%{_libdir}/libaq*.so.*
%{_libdir}/libcbanking.so.*
%{_datadir}/aqbanking
%exclude %{_datadir}/aqbanking/frontends/*
%exclude %{_datadir}/aqbanking/i18n
%{_datadir}/aqhbci
%{_datadir}/locale/*/LC_MESSAGES/aqbanking.mo

%files devel
%defattr(-,root,root)
%doc doc/0[12]* tutorials
%{_bindir}/aq*-config
%{_bindir}/cbanking-config
%{_bindir}/hbcixml2
%{_libdir}/libaq*.a
%{_libdir}/libaq*.so
%{_libdir}/libcbanking.a
%{_libdir}/libcbanking.so
%{_includedir}/aq*
%{_includedir}/cbanking
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/aq*
%{_datadir}/aclocal/cbanking.m4

%files -n g2banking
%defattr(-,root,root)
%{_libdir}/libg2banking.so.*
%{_datadir}/aqbanking/frontends/g2banking

%files -n g2banking-devel
%defattr(-,root,root)
%{_bindir}/g2banking-config
%{_includedir}/g2banking
%{_libdir}/libg2banking.a
%{_libdir}/libg2banking.so
%{_datadir}/aclocal/g2banking.m4

%files -n kbanking
%defattr(-,root,root)
%{_libdir}/libkbanking.so.*

%files -n kbanking-devel
%defattr(-,root,root)
%{_bindir}/kbanking-config
%{_includedir}/kbanking
%{_libdir}/libkbanking.a
%{_libdir}/libkbanking.so
%{_datadir}/aclocal/kbanking.m4

%files -n qbanking
%defattr(-,root,root)
%{_bindir}/qb-help
%{_libdir}/libqbanking.so.*
%{_libdir}/aqbanking/plugins/*/debugger
%{_libdir}/aqbanking/plugins/*/frontends/qbanking
%{_libdir}/aqbanking/plugins/*/wizards
%{_datadir}/aqbanking/i18n
%{_datadir}/aqbanking/frontends/qbanking

%files -n qbanking-devel
%defattr(-,root,root)
%{_bindir}/qbanking-config
%{_includedir}/qbanking
%{_libdir}/libqbanking.a
%{_libdir}/libqbanking.so
%{_datadir}/aclocal/qbanking.m4

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/%{name}

%changelog
* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.2-1m)
- import from Fedora for kmymoney-0.8.7

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-1
- update to 2.3.2

* Mon Jun 25 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-3
- fix some build bogosity

* Wed Jun 20 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-2
- add a dist tag

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-1
- update to 2.2.9

* Wed Jan 17 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-14
- fix docdir, obsoletes for aqhbci-devel, and %%clean

* Tue Jan 16 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-13
- fix docs
- add PyXML buildreq

* Mon Jan 15 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-12
- fix missing %%defattrs
- fix %%excludes
- other cleanups from review
- use %%{_python_sitelib}
- require automake
- twiddle aqhbci obsoletes

* Sat Jan 13 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-11
- split into a variety of packages

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 2.1.0-10
- rebuild for python 2.5

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-9
- rebuild for fixed debuginfo (#205248)

* Fri Sep  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-8
- fix multilib conficts (#205204)

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-4
- rebuild against latest libofx

* Tue Aug  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-3
- reenable visibility

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-2
- port *-config to pkgconfig
- don't use -fvisibility=hidden

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-1
- update to 2.1.0

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-5
- buildreq autoconf, libtool

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-4
- add gettext buildreq (#193348)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Karsten Hopp <karsten@redhat.de> 1.8.1beta-3
- buildrequire libofx-devel instead of libofx (pulls in libofx)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Bill Nottingham <notting@redhat.com> 1.8.1beta-2
- add an obsolete (#178554)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-1
- initial packaging, adopt upstream specfile
